Name:		posterazor
Version:	1.5.1
Release:	%mkrel 1
Summary:	Make your own poster
Group:		Publishing
License:	GPLv3+
URL:		http://posterazor.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/%{name}/PosteRazor-%{version}-Source.zip
Source1:	%{name}.desktop
Patch0:		posterazor-1.5-format-security.patch
Patch1:		posterazor-1.5-ftbfs-gcc-4.7.patch
BuildRequires:	cmake
BuildRequires:	freeimage-devel
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(xpm)

%description
The PosteRazor cuts a raster image into pieces which can afterwards be
printed out and assembled to a poster. As input, the PosteRazor takes a
raster image. The resulting poster is saved as a multipage PDF document.
An easy to use, wizard like user interface guides through 5 steps.

%prep
%setup -q -c
%autopatch -p1

# fix wrong-file-end-of-line-encoding
for i in CHANGES LICENSE README
do
 sed -e 's/\r//' $i > $i.tmp
 touch -c -r $i $i.tmp
 mv $i.tmp $i
done

# add default constructor for translation classes (required by GCC 4.6)
for i in French English German Italian Dutch BrazilianPortuguese
do
 sed -i -e "/public:/a Translation$i\(\){}" src/Translation$i.h
done

%build
cd src
%cmake
%make_build

%install
# binary
mkdir -p %{buildroot}%{_bindir}
install -pm 755 src/build/PosteRazor %{buildroot}%{_bindir}/

# icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -pm 644 src/PosteRazor.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

# desktop file
desktop-file-install --mode 644 --dir %{buildroot}%{_datadir}/applications/ %{SOURCE1}

%files
%doc CHANGES README
%license LICENSE
%{_bindir}/PosteRazor
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Fri Jun 10 2016 daviddavid <daviddavid> 1.5.1-1.mga6
+ Revision: 1020993
- imported package posterazor

